---
title: Converting Multiplayer Worlds to Singleplayer
path: smp-to-ssp
---
# Converting Multiplayer Worlds to Singleplayer

Multiplayer worlds are structured differently than single-player worlds, and as such, they can't be loaded directly without some re-structuring.

Details in the guide below are assuming you're on Windows, but the same process will apply regardless of Mac, Linux, etc.

1. Download the multiplayer ZIP file and extract it into a temporary folder.
    * Some servers/server admins do multiple layers of zipping, so you may want to use 7zip for this. It is better (faster, and supports more file types) than the native Windows utilities.

2. Open a Windows explorer window in that temp location when done. Leave the window open in the background for now.

3. Launch Minecraft, create a new single-player world, and load it for the first time.
    * The name of the world doesn't really matter; for the purposes of this guide, the new map will be called **Falcon**, and the old world will be called **Turnip**.
    * Ideally this new world will be the same major and minor MC version that the multiplayer world was on.
    * *Optional:* load up the end and nether, to ensure it creates the folders you need, but this step shouldn't be required.
    * **Note:** Loading older multiplayer worlds onto newer single-player versions should generally be fine, but you don't want to load a newer world save onto an older version of Minecraft.

4. Save and exit the new **Falcon** world, but don't close Minecraft.

5. Open a second Windows explorer window and find your new world's save location. The default should be something like this:

   `C:\Users\<user>\AppData\Roaming\.minecraft\saves\Falcon`

   In the Temp folder location, you should see one folder per dimension.  
   *Example: one folder named **Turnip**, another named **Turnip**_nether.*

6. Open Turnip folder and you should now see folders named `region` and `playerdata`.

7. Replace the region folder in **Falcon** with the one from **Turnip**.
    * This may take a while. If it cries about files already existing, just replace them.
    * Don't worry about the `playerdata` folder unless you care about your inventory/enderchest contents.  
      If you want to retain that information, move that folder as well.

8. Go back to the temp folder and now open the **Turnip**_nether folder. You should see a single folder called DIM-1. Use this to replace the DIM-1 folder in the **Falcon** folder.
    * If you don't see it in **Falcon**, don't worry, you probably just didn't load the nether in an earlier step.  
      Just move it underneath the root **Falcon** folder, so that it the same level as other folders like `advancements`, `data`, `playerdata`, `region`, `stats`, etc.

That should be it! Launch the **Falcon** world and test it out!  
To save space, go back and delete the temporary folders you made earlier.
